Name:          genson
Version:       1.0
Release:       1%{?dist}
Summary:       A fast & modular Java to Json and Json to Java library
License:       ASL 2.0
URL:           http://owlike.github.io/genson/
# latest release use springframework 4.x and jersey 2.12
Source0:       https://github.com/owlike/genson/archive/%{name}-parent-%{version}.tar.gz

BuildRequires: maven-local
BuildRequires: mvn(com.fasterxml.jackson.core:jackson-databind)
BuildRequires: mvn(com.google.code.gson:gson)
BuildRequires: mvn(com.google.guava:guava)
BuildRequires: mvn(com.sun.jersey:jersey-client)
BuildRequires: mvn(com.sun.jersey:jersey-json)
BuildRequires: mvn(com.sun.jersey:jersey-server)
#BuildRequires: mvn(com.sun.jersey:jersey-servlet)
BuildRequires: mvn(javax.json:javax.json-api)
BuildRequires: mvn(javax.servlet:javax.servlet-api)
BuildRequires: mvn(joda-time:joda-time)
BuildRequires: mvn(junit:junit)
BuildRequires: mvn(org.eclipse.jetty:jetty-server:8.1.14.v20131031)
BuildRequires: mvn(org.eclipse.jetty:jetty-servlet:8.1.14.v20131031)
BuildRequires: mvn(org.glassfish:javax.json)
BuildRequires: mvn(org.jboss.resteasy:resteasy-jaxrs)
%if %{?fedora} > 20
BuildRequires: mvn(asm:asm-commons:3)
BuildRequires: mvn(org.sonatype.oss:oss-parent:pom:)
%else
BuildRequires: mvn(asm:asm-commons)
BuildRequires: mvn(org.sonatype.oss:oss-parent)
%endif
BuildRequires: mvn(org.springframework:spring-beans)
BuildRequires: mvn(org.springframework:spring-context)
BuildRequires: mvn(org.springframework:spring-context-support)
BuildRequires: mvn(org.springframework:spring-core)
BuildRequires: mvn(org.springframework:spring-test)
BuildRequires: mvn(org.springframework:spring-web)
BuildRequires: mvn(org.springframework:spring-webmvc)

# scala module
%if 0
BuildRequires: mvn(asm:asm-commons:3)
#BuildRequires: mvn(org.ow2.asm:asm-commons)
#BuildRequires: mvn(org.json4s:json4s-ast_2.11:3.2.10)
BuildRequires: mvn(org.scala-lang:scala-library)
BuildRequires: mvn(org.scala-lang:scala-reflect)
BuildRequires: mvn(org.scala-tools:maven-scala-plugin)
BuildRequires: mvn(org.scalatest:scalatest_2.10)
BuildRequires: mvn(org.scalatest:scalatest-maven-plugin)
BuildRequires: mvn(org.scalacheck:scalacheck_2.10)
%endif

BuildArch:     noarch

%description
Genson is an open-source library doing conversion from Java to
Json and Json to Java. Genson targets people who want an extensible
but also configurable, fast, scalable and easy to use library. 

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -n %{name}-%{name}-parent-%{version}

%pom_remove_plugin :maven-javadoc-plugin
%pom_remove_plugin :maven-source-plugin
%pom_remove_plugin :maven-shade-plugin
%pom_remove_plugin :maven-shade-plugin %{name}

# unavailable buid deps
%pom_disable_module %{name}-scala
# Fix jetty version
sed -i "s|8.1.8.v20121106|8.1.14.v20131031|" %{name}/pom.xml

# package com.sun.jersey.spi.container.servlet not found
#om_add_dep com.sun.jersey:jersey-servlet::test genson
# UniformInterfaceException: GET http://localhost:9999/get returned a response status of 500 Internal Server Error
rm -r genson/src/test/java/com/owlike/genson/ext/JaxRSIntegrationTest.java

%mvn_file :%{name} %{name}

%build

%mvn_build

%install
%mvn_install

%files -f .mfiles
%doc %{name}/LICENSE README.md

%files javadoc -f .mfiles-javadoc
%doc %{name}/LICENSE

%changelog
* Sun Jan 25 2015 gil cattaneo <puntogil@libero.it> 1.0-1
- initial rpm
